{% extends 'app_base.html.twig' %}

{% block title %}Admin - Users > user [ {{ user.email }} ]{% endblock %}

{% block body %}
    <nav aria-label="breadcrumb" class="bg-primary-subtle pt-xl-1 pb-xl-1 ps-3 mb-4">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{{ path('app_home') }}">Home</a></li>
            <li class="breadcrumb-item"><a href="{{ path('app_admin') }}">Admin</a></li>
            <li class="breadcrumb-item"><a href="{{ path('app_admin_users_list') }}">Users</a></li>
        </ol>
    </nav>

    <h1> {{ user.email }}</h1>

    <a class="btn btn-outline-primary" href="{{ path('app_admin_users_edit', {'id': user.id}) }}">Edit email and password</a>
    <table class="table">
        <tbody>
            <tr>
                <th>Id</th>
                <td>{{ user.id }}</td>
            </tr>
            <tr>
                <th>Status</th>
                <td>
                    {% if user.isActive == false %}
                        <strong  class="text-danger">Disabled</strong>
                    {% else %}
                        <strong  class="text-success">Enabled</strong>
                    {% endif %}
                </td>
            </tr>
            <tr>
                <th>Email</th>
                <td>{{ user.email }}</td>
            </tr>
            <tr>
                <th>Roles</th>
                <td>{{ user.roles ? user.roles|json_encode : '' }}</td>
            </tr>
        </tbody>
    </table>



    <form method="post" action="{{ path('app_admin_users_delete', {'id': user.id}) }}">
        <input type="hidden" name="_token" value="{{ csrf_token('delete' ~ user.id) }}">
        <button class="btn btn-danger">Delete</button>
    </form>

{#    <a href="{{ path('app_user_index') }}">back to list</a>#}

{#    <a href="{{ path('app_user_edit', {'id': user.id}) }}">edit</a>#}

{#    {{ include('user/_delete_form.html.twig') }}#}
{% endblock %}
